/////////////////////////////////////////////////////////////////////////////
// Copyright (C) 1999 by Pedro Pombeiro
// All rights reserved
//
// Distribute freely, except: don't remove my name from the source or
// documentation (don't take credit for my work), mark your changes (don't
// get me blamed for your possible bugs), don't alter or remove this
// notice.
// No warrantee of any kind, express or implied, is included with this
// software; use at your own risk, responsibility for damages (if any) to
// anyone resulting from the use of this software rests entirely with the
// user.
//
// Send bug reports, bug fixes, enhancements, requests, flames, etc., and
// I'll try to keep a version up to date.  I can be reached as follows:
//    PPombeiro@AntaresLda.pt         (company mail account)
/////////////////////////////////////////////////////////////////////////////


// SelectionSliderCtrl.h : header file
//

#if !defined(AFX_SELECTIONSLIDERCTRL_H__1E0F37F5_4020_11D1_9FB1_444553540000__INCLUDED_)
#define AFX_SELECTIONSLIDERCTRL_H__1E0F37F5_4020_11D1_9FB1_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CSelectionSliderCtrl window

class CSelectionSliderCtrl : public CSliderCtrl
{
// Construction
public:
	CSelectionSliderCtrl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelectionSliderCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSelectionSliderCtrl();

protected:
	BOOL	m_bSelecting;
	BOOL	m_bAnchorIsValid;
	int		m_iAnchorSelection;

	// Generated message map functions
protected:
	//{{AFX_MSG(CSelectionSliderCtrl)
	afx_msg void HScroll(UINT nTBCode, UINT nPos);
	afx_msg void VScroll(UINT nTBCode, UINT nPos);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SELECTIONSLIDERCTRL_H__1E0F37F5_4020_11D1_9FB1_444553540000__INCLUDED_)
